package com.xy.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备版本升级记录表
 * </p>
 *
 * @author lijin
 * @since 2023-06-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceVersionUp对象", description="设备版本升级记录表")
public class DeviceVersionUp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "版本号")
    private String deviceVersion;

    @ApiModelProperty(value = "发送次数")
    private Integer sendNum;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "指令值")
    private String cmdValue;

    @ApiModelProperty(value = "升级结果值")
    private String resultValue;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
