package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备版本升级记录表
 * </p>
 *
 * @author lijin
 * @since 2023-06-09
 */
public class DeviceVersionUpDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class SaveOrUpdate extends Vo {

        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @NotBlank(message = "deviceVersion不能为空")
        @ApiModelProperty(value = "版本号")
        private String deviceVersion;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @ApiModelProperty(value = "版本号")
        private String deviceVersion;

        @ApiModelProperty(value = "发送次数")
        private Integer sendNum;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "指令值")
        private String cmdValue;

        @ApiModelProperty(value = "升级结果值")
        private String resultValue;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;


    }

}
